#include <stdlib.h>

#include "numconv.hh"

BAS_DBL  B_FuncVAL(const BAS_STR& str)
{
    const char* s = str.c_str();
    while(*s == ' ' || *s == '\t' || *s == '\n') ++s;
    if(*s == '&')
    {
        if(s[1] == 'H' || s[1] == 'h')
            return strtol(s+2, 0, 16);
        if(s[1] == 'O' || s[1] == 'o')
            return strtol(s+2, 0, 8);
        if(s[1] == 'B' || s[1] == 'b')
            return strtol(s+2, 0, 2);
        return strtol(s+1, 0, 8);
    }
    if(*s == '0')
    {
        if(s[1] == 'X' || s[1] == 'x')
            return strtol(s+2, 0, 16);
        if(s[1] == 'B' || s[1] == 'b')
            return strtol(s+2, 0, 2);
    }
    return strtod(s, 0);
}
