#ifndef bqtQBlibHH
#define bqtQBlibHH

#include <string>

#ifdef __GNUC__
# define likely(x)       __builtin_expect(!!(x), 1)
# define unlikely(x)     __builtin_expect(!!(x), 0)
#else
# define likely(x)   (x)
# define unlikely(x) (x)
#endif

#include <qblib/types.hh>
#include <qblib/autoptr.hh>
#include <qblib/dynarray.hh>
#include <qblib/magicarray.hh>
#include <qblib/data.hh>
#include <qblib/error.hh>
#include <qblib/gosub.hh>
#include <qblib/stream.hh>
#include <qblib/exec.hh>
#include <qblib/ioemu.hh>
#include <qblib/bstringfun.hh>

#include <qblib/time.hh>
#include <qblib/rand.hh>
#include <qblib/numconv.hh>

#include <qblib/gfx.hh>

#include <qblib/play.hh>

#endif
